#!/usr/bin/perl -w
#########################################################################
#
# Serz Minus (Sergey Lepenkov), <abalama@cpan.org>
#
# Copyright (C) 1998-2020 D&D Corporation. All Rights Reserved
#
# This is free software; you can redistribute it and/or modify it
# under the same terms as Perl itself.
#
# $Id: 04-proc-net.t 120 2020-10-12 21:13:44Z abalama $
#
#########################################################################
use Test::More tests => 2;
use VISD::SysInfo;

use constant DEBUG => 0;

#
# Get TCP & UDP
#

# /proc/net/tcp & /proc/net/udp
{
    my @tcp_udp = (get_net_tcp(), get_net_udp());
    ok(@tcp_udp, '/proc/net/tcp*, /proc/net/udp*') && _note(@tcp_udp);
}

#
# Get ARP
#
# /proc/net/arp
{
    my @arp = get_net_arp();
    ok(@arp, '/proc/net/arp') && _note(@arp);
}

sub _note {
    return 1 unless DEBUG;
    note(explain([@_]));
}

1;

__END__
